/* $Id: os2_m.h 10444 2007-07-05 12:23:54Z peter1138 $ */

#ifndef MUSIC_OS2_H
#define MUSIC_OS2_H

#include "music_driver.hpp"

class MusicDriver_OS2: public MusicDriver {
public:
	/* virtual */ bool CanProbe() { return true; }

	/* virtual */ const char *Start(const char * const *param);

	/* virtual */ void Stop();

	/* virtual */ void PlaySong(const char *filename);

	/* virtual */ void StopSong();

	/* virtual */ bool IsSongPlaying();

	/* virtual */ void SetVolume(byte vol);
};

class FMusicDriver_OS2: public MusicDriverFactory<FMusicDriver_OS2> {
public:
	/* virtual */ const char *GetName() { return "os2"; }
	/* virtual */ const char *GetDescription() { return "OS/2 Music Driver"; }
	/* virtual */ Driver *CreateInstance() { return new MusicDriver_OS2(); }
};

#endif /* MUSIC_OS2_H */
